﻿<?php
/**
 * Vine MA Plugin
 * @copyright   Copyright (C) 2020 Vine Ltd. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
*/

defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');

class JFormFieldScripts extends JFormField
{
    protected $type = 'scripts';
    protected function getLabel()
    {
        return '';
    }

    protected function getInput()
    {
        JHtml::_('jquery.framework', true);
        $document = JFactory::getDocument();
        $document->addStyleSheet(JURI::root(true) . '/plugins/system/vinema/assets/css/vine.css');
        $document->addScript(JURI::root(true) . '/plugins/system/vinema/assets/js/vine.js');
        return;
    }
}
