﻿<?php
/**
 * Vine MA Plugin
 * @copyright   Copyright (C) 2020 Vine Ltd. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
*/

defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');

class JFormFieldVinemalogin extends JFormField
{
    protected $type = 'scripts';

    protected function getLabel()
    {
        $apikey = $this->form->getValue('api_key', 'params');

        if(empty($apikey))
            return '<p class="move-left"><a href="javascript:openMaLoginWindow();">Login to MA</a><br><br><b>Please do not use partner account which can be moved between different customers</b></p>';
        return '<p class="move-left"><a href="javascript:logoutFromMA();">Logout from MA</a></p>';
    }

    protected function getInput()
    {
        return '';
    }
}
